## EntangleImagePopup EntangleImagePopup |

## Functions

EntangleImagePopup * | entangle_image_popup_new ()
void | entangle_image_popup_show ()
void | entangle_image_popup_move_to_monitor ()
void | entangle_image_popup_show_on_monitor ()
void | entangle_image_popup_set_image ()
EntangleImage * | entangle_image_popup_get_image ()
void | entangle_image_popup_set_background ()
gchar * | entangle_image_popup_get_background ()

## Properties

EntangleImage * | image | Read / Write

## Signals

void | popup-close | Run First

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── EntangleImagePopup

## Description

## Functions

### entangle_image_popup_new ()

    EntangleImagePopup *
    entangle_image_popup_new (void);

### entangle_image_popup_show ()

    void
    entangle_image_popup_show (EntangleImagePopup *popup,
                               GtkWindow *parent,
                               int x,
                               int y);

### entangle_image_popup_move_to_monitor ()

    void
    entangle_image_popup_move_to_monitor (EntangleImagePopup *popup,
                                          gint monitor);

### entangle_image_popup_show_on_monitor ()

    void
    entangle_image_popup_show_on_monitor (EntangleImagePopup *popup,
                                          gint monitor);

### entangle_image_popup_set_image ()

    void
    entangle_image_popup_set_image (EntangleImagePopup *popup,
                                    EntangleImage *image);

Set the image to be displayed by the popup

#### Parameters

popup | the popup widget. | [transfer none]
image | the image to display, or NULL. | [transfer none][allow-none]

### entangle_image_popup_get_image ()

    EntangleImage *
    entangle_image_popup_get_image (EntangleImagePopup *popup);

Retrieve the image that the popup is currently displaying

#### Parameters

popup | the popup widget. | [transfer none]

#### Returns

the image displayed.

[transfer none]

### entangle_image_popup_set_background ()

    void
    entangle_image_popup_set_background (EntangleImagePopup *popup,
                                         const gchar *background);

### entangle_image_popup_get_background ()

    gchar *
    entangle_image_popup_get_background (EntangleImagePopup *popup);

## Types and Values

## Property Details

### The `“image”` property

      “image”                    EntangleImage *

Image to be displayed.

Flags: Read / Write

## Signal Details

### The `“popup-close”` signal

    void
    user_function (EntangleImagePopup *entangleimagepopup,
                   gpointer            user_data)

Flags: Run First